Summary: A Commodore 64 music player and SID chip emulator.
Name: sidplay-base 
Version: 1.0.4
Release: 2
Icon: sidplay.xpm
Copyright: GPL
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
Group: Applications/Multimedia
Source: http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/packages/sidplay-base-1_0_4.tgz 
BuildRoot: /var/tmp/%{name}-build
BuildRequires: libsidplay-devel, libsidplay
Requires: libsidplay
Excludearch: alpha

%description
SIDPLAY is basically a music player. It emulates the Sound Interface
Device (SID) chip and the microprocessor unit of the Commodore 64
computer, so it can load and execute C64 machine code programs which
produce music or sound. Normally these are short pieces of code
pulled out of Commodore games or demonstration programs. Using
SIDPLAY, you can listen to thousands of old and new C64 sound files
by infamous artists such as Hubbard and Paul Norman! In emulation,
their music lives on...

%prep
%setup -q


%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT/%{_prefix}/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING POINTER
%{_prefix}/bin/*

%changelog
* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Tim Powers <timp@redhat.com>
- removed redundant defines
- use %{_prefix} wherever possible instead of %{prefix}
- use %configure
- added BuildRequires and Requires lines

* Wed May 03 2000 Michael Schwendt <sidplay@geocities.com>
- Replaced GIF with XPM.
- Dropped BUGS file.

* Sat Apr 15 2000 Michael Schwendt <sidplay@geocities.com>
- Initial RPM build of automake converted package.

